/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTCharacter_inl__
#define __RTCharacter_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTCharacter_h__
#include <RTCharacter.h>
#endif

RTS_INLINE
RTTypedValue_RTCharacter::
RTTypedValue_RTCharacter( const RTCharacter & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTCharacter::
RTTypedValue_RTCharacter( const RTCharacter    & _value,
			  const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTCharacter_inl__
