/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemon.h>
#include <RTDaemonInfo.h>
#include <RTDebugger.h>
#include <RTElasticArray.h>

int RTDaemon::delInfo( RTDaemonInfo * newInfo )
{
    int foundPos = posInfo( newInfo );

    if( foundPos < 0 ) // does not exist
	return -1;

    RTDaemonInfo * oldInfo = (RTDaemonInfo *)actorInfo[ foundPos ];
    int            probeNr = oldInfo->probeNr;

    delete oldInfo;
    actorInfo[ foundPos ] = (void *)0;

    return debugger->deleteProbe( probeNr );
}
