/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTExternal.h>
#include <RTObject_class.h>
#include <RTSignalDescriptor.h>

const RTSignalDescriptor External::Base::rt_signals[] =
{
    {
	"event",
	&RTType_void,
	External::Base::rti_event
    }
};

const RTProtocolDescriptor External::Base::rt_class =
{
    (const RTProtocolDescriptor *)0,
    &rt_class,
    "External",
    (RTVersionId)0,
    1, rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal
  , &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};
