/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTInterval.h>

int operator<( const RTInterval & lhs, const RTInterval & rhs )
{
    long lhs_s = lhs.seconds();
    long rhs_s = rhs.seconds();

    if( lhs_s < rhs_s )
	return 1;

    if( lhs_s > rhs_s )
	return 0;

    long lhs_u = lhs.micros();
    long rhs_u = rhs.micros();

    return lhs_u < rhs_u;
}
