/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorClass.h>
#include <RTActor_class.h>
#include <RTPortDescriptor.h>
#include <RTTimerActor.h>

static RTActor * new_RTTimerActor( RTController * _rts, RTActorRef * _ref )
{
    return new RTTimerActor( _rts, _ref );
}

const RTActorClass RTTimerActor::classData =
{
    (const RTActorClass *)0, "RTTimerActor", (RTVersionId)0,

    0, (const RTRelayDescriptor *)0,

    new_RTTimerActor
};

static const char * const _names[] =
{
    "top"
};

const RTStateId RTTimerActor::rtg_parent_state[] =
{
    0
};

const RTActor_class RTTimerActor::rtg_class =
{
    (const RTActor_class *)0,

    _names,

    // states
    1, rtg_parent_state,

    // RTActorClass
    &RTTimerActor::classData,

    // components
    0, (const RTComponentDescriptor *)0,

    // ports
    0, (const RTPortDescriptor *)0,

    // bindings
    0, (const RTLocalBindingDescriptor *)0,

    // ESVs
    0, (const RTFieldDescriptor *)0
};

const RTActor_class * RTTimerActor::getActorData( void ) const
{
    return &RTTimerActor::rtg_class;
}
