/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemon.h>
#include <RTToolsetObserver.h>

void RTToolsetObserver::accessVariable( void )
{
    TO_variableData * myVarData = (TO_variableData *)structInfo.ptr;

    if( structInfo.func == CMD_SET_VAR )
	daemon->fieldValue( myVarData->variable, myVarData->value );
    else // structInfo.func == CMD_GET_VAR
	daemon->fieldValue( myVarData->variable, (const char *)0 );

    sendResultCode( RES_OK );
}
