/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTToolsetObserver.h>

int RTToolsetObserver::transmitData( void )
{
    int result = 1;

    if( txTempBuffer.used > 0 ) // prev send not completed
    {
	int nrSent = sendData( txTempBuffer.data, txTempBuffer.used );

	txTempBuffer.data += nrSent;
	txTempBuffer.used -= nrSent;

	if( txTempBuffer.used > 0 ) // prev send failed - signal failure
	    result = 0;
    }

    return result;
}
