/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTProbe_inl__
#define __RTProbe_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTProbe_h__
#include <RTProbe.h>
#endif

RTS_INLINE int RTProbe::adjustRefCount( int offset )
{
    return _refCount += offset;
}

RTS_INLINE const char * RTProbe::getStringPath( void ) const
{
    return _stringPath;
}

RTS_INLINE int RTProbe::getActorIndex( void ) const
{
    return _actorIndex;
}

RTS_INLINE int RTProbe::getProbeId( void ) const
{
    return _id;
}

RTS_INLINE int RTProbe::cmdline( void ) const
{
    return _owner == 0;
}

RTS_INLINE int RTProbe::connected( void ) const
{
    return _actor != (RTActor *)0;
}

RTS_INLINE RTActor * RTProbe::actor( void ) const
{
    return _actor;
}

#endif // __RTProbe_inl__
