/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTTcpOutBuffer_h__
#define __RTTcpOutBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTStreamBuffer_h__
#include <RTStreamBuffer.h>
#endif

class RTTcpSocket;

class RTTcpOutBuffer : public RTStreamBuffer
{
public:
    explicit    RTTcpOutBuffer( RTTcpSocket * );
    virtual     ~RTTcpOutBuffer( void );

    virtual int flush( void );

private:
    RTTcpSocket * socket;

private:
    // unavailable methods
    RTTcpOutBuffer( const RTTcpOutBuffer & );
    RTTcpOutBuffer & operator=( const RTTcpOutBuffer & );
}; //lint !e1712

#endif // __RTTcpOutBuffer_h__
