/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTWebObserver_h__
#define __RTWebObserver_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTObserver_h__
#include <RTObserver.h>
#endif

class RTWebObserver : public RTObserver
{
public:
		 RTWebObserver( RTDebugger  * theDebugger,
				RTTcpSocket * theSocket,
				int           theObsId,
				const char  * initBuf = (const char *)0,
				int           initLen = 0 );

    virtual      ~RTWebObserver( void );

    virtual int receiveData( void );

private:
    // unavailable methods
    RTWebObserver( const RTWebObserver & );
    RTWebObserver & operator=( const RTWebObserver & );
}; //lint !e1712

#endif // __RTCmdLineObserver_h__
