/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_recvfrom( int              sock,
				char           * buffer,
				int              size,
				RTinet_address * address,
				RTinet_port    * port )
{
    int         count;
    addr_struct source;
    short       source_len = (short)sizeof( source );

    if( (count = NU_Recv_From( sock, buffer, size, 0,
			       &source, &source_len )) < 0 )
    {
	count = -1;
    }
    else if( count > 0 )
    {
	RTMemoryUtil::memcpy( address, &source.id, (int)sizeof( *address ) );
	*port = source.port;
    }

    return count;
}
