/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTThreadInfo_h__
#define __RTThreadInfo_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTSyncObject_h__
#include <RTSyncObject.h>
#endif

class RTJob;

struct RTThreadInfo
{
    RTSyncObject   sync;
    PROCESS        proc;
    int            done;

    RTThreadInfo( void );
    ~RTThreadInfo( void );
};

#endif // __RTThreadInfo_h__
