/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTStreamBuffer_h__
#define __RTStreamBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTOBuffer_h__
#include <RTOBuffer.h>
#endif

class RTStreamBuffer : public RTOBuffer
{
public:
		RTStreamBuffer( void );
    virtual     ~RTStreamBuffer( void );

    virtual int write( const char * data, int size );

protected:
    int         offset;
    char        buffer[ 80 ];

private:
    // unavailable methods
    RTStreamBuffer( const RTStreamBuffer & );
    RTStreamBuffer & operator=( const RTStreamBuffer & );
}; //lint !e1712

#endif // __RTStreamBuffer_h__
