# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



VENDOR = Diab

AR_CMD = $(PERL) "$(RTS_HOME)/tools/ar.pl" -add=dar,qf \
					   -create=dar,qcf \
					   -limit=2000 \
					   -ranlib=dar,s
CC     = dplus
LD     = $(PERL) "$(RTS_HOME)/libset/$(LIBRARY_SET)/ld.pl" $(CC)

# -t PPC603EH    PPC603: CPU
#                E:      ELF object format
#                H:      Hardware floating point
# -D__DIAB       Required by the Diab compiler
# -D_PNANOREDEF_ If not defined, close will be redef to pna_close as of 4.2b
# -D_PNA_30_BACK Needed for backwards compatibility

LIBSETCCFLAGS = -t PPC603EH -D__DIAB -D_PNANOREDEF_ -D_PNA_30_BACK
LIBSETCCEXTRA = -O
SHLIBS        =

ALL_OBJS_LIST = %$(ALL_OBJS_LISTFILE)
