/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTActorRef.h"
#pragma implementation "RTActorRef.inl"
#pragma implementation "RTActorSlot.h"
#pragma implementation "RTActorSlot.inl"
#pragma implementation "RTImportList.h"
#endif

#include <RTActorRef.h>
#include <RTActorSlot.h>
#include <RTComponentDescriptor.h>
#include <RTImportList.h>

RTActorRef::~RTActorRef( void )
{
    if( _info->replication  > 1 ||
	_info->kind        == RTComponentDescriptor::Imported )
    {
	delete [] (void **)_contents;
    }

#ifdef _lint
    _info     = (const RTComponentDescriptor *)0;
    _contents = (void                        *)0;
#if OBSERVABLE
    probe     = (RTActorRefProbe             *)0;
#endif
#endif
}
