/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemonInfo.h>
#include <RTDiag.h>

//lint -save -e1738
RTDaemonInfo::RTDaemonInfo( const RTDaemonInfo & )
    : daemonKind    (                       -1 )
    , probeNr       (                       -1 )
    , actorPath     (                (char *)0 )
    , actorIndex    (                       -1 )
    , info          ( (const RTActor_class *)0 )
    , actorDepth    (                        0 )
    , allRecurs     (                        0 )
    , portName      (                (char *)0 )
    , portId        (                       -1 )
    , portIndex     (                       -1 )
    , stateStrTarget(                (char *)0 )
    , stateTarget   (                       -1 )
    , stateDepth    (                       -1 )
    , chainStrOrigin(                (char *)0 )
    , chainStrTrans (                (char *)0 )
    , chainOrigin   (                       -1 )
    , chainTrans    (                       -1 )
    , chainPosition (                       -1 )
    , variableName  (                (char *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTDaemonInfo( const RTDaemonInfo & )'" );
}
//lint -restore

RTDaemonInfo & RTDaemonInfo::operator=( const RTDaemonInfo & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTDaemonInfo::operator=( const RTDaemonInfo & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
