/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebuggerInput.h>

int RTDebuggerInput::getString( char * buf, int buf_size )
{
    int c;

    do
    {
	c = getChar();

	if( isEol( c ) != 0 )
	{
	    ungetChar( (char)c );
	    *buf = '\0';
	    return 0;
	}
    }
    while( c == ' ' || c == '\t' );

    do
    {
	if( --buf_size == 0 )
	    buf_size = 1;
	else
	    *buf++ = (char)c;
	c = getChar();
    }
    while( ! ( isEol( c ) != 0 || c == ' ' || c == '\t' ) );

    ungetChar( (char)c );

    *buf = '\0';

    return 1;
}
