/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDictionary.h>

const RTAssociation * RTDictionary::iterate( Iterator & iter ) const
{
    while( iter._index < _size )
    {
	const RTAssociation * assoc = &_contents[ iter._index++ ];

	if( assoc->key != (char *)0 && assoc->key != (const char *)assoc )
	    return assoc;
    }

    return (const RTAssociation *)0;
}
