/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>

void RTLocalConnector::SppNode::remove( RTController * context,
					Request      * request )
{
    if( requests == request )
    {
	requests = request->next;

	if( requests == request )
	    requests = (Request *)0;

	pending = requests;
    }
    else if( pending == request )
    {
	pending = request->next;

	if( pending == requests )
	    pending = (Request *)0;
    }

    request->prev->next = request->next;
    request->next->prev = request->prev;

    if( pending != (Request *)0 && spp != (RTProtocol *)0 )
	connectAll( context );
}
