/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>

#ifdef NO_BUILTIN_MEM

void RTMemoryUtil::memset( void * dst, int val, int len )
{
    unsigned char * d = (unsigned char *)dst;

    while( len-- )
	*d++ = (unsigned char)val;
}
#else

#include <RTstdio.h>

void RTMemoryUtil::memset( void * dst, int val, int len )
{
    (void)::memset( dst, val, (size_t)len );
}

#endif
