/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDecoding.h>
#include <RTObject_class.h>

int RTenum_decode( const RTObject_class * type,
		   void                 * target,
		   RTDecoding           * coding )
{
    int value;

    if( coding->get_enum( value, type->_num_fields, type->_fields ) == 0 )
	return 0;

    if( type->_size == (RTFieldOffset)sizeof( int ) )
	*(int *)target = value;

    else if( type->_size == (RTFieldOffset)sizeof( short ) )
	*(short *)target = (short)value;

    else if( type->_size == (RTFieldOffset)sizeof( char ) )
	*(char *)target = (char)value;

    else
	return 0;

    return 1;
}
