/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTTcpInBuffer.h>

//lint -save -e1738 -esym(1927,RTTcpInBuffer::buffer)

RTTcpInBuffer::RTTcpInBuffer( const RTTcpInBuffer & )
    : RTIBuffer()
    , socket    ( (RTTcpSocket *)0 )
    , get_offset(                0 )
    , put_offset(                0 )
{
#ifdef _lint
    buffer[ 0 ] = '\0';
#endif

    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTcpInBuffer( const RTTcpInBuffer & )'" );
}

//lint -restore

RTTcpInBuffer & RTTcpInBuffer::operator=( const RTTcpInBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTcpInBuffer::operator=( const RTTcpInBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
