/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTcpSocket.h>
#include <RTinet.h>

//lint -save -esym(1927,RTTcpSocket::_peer_ip)

RTTcpSocket::RTTcpSocket( void )
    : _sd       (   INET_NO_SOCKET )
    , _state    (           Closed )
    , _monitor  ( (RTIOMonitor *)0 )
    , _peer_port(                0 )
{
#ifdef _lint
    for( int i = 0; i < IpAddressSize; ++i )
	_peer_ip[ i ] = 0;
#endif
}

//lint -restore
