/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTimerActor.h>
#include <RTTimerNode.h>

void RTTimerActor::cancelAll( Timing::Base * sap )
{
    RTController * controller = sap->context();
    RTTimerNode  * node;

#if USE_THREADS
    RTTimerNode::critical.enter();
#endif

    while( (node = sap->outstanding) != (RTTimerNode *)0 )
	node->next->_cancel( controller );

#if USE_THREADS
    RTTimerNode::critical.leave();
#endif
}
