/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTInterval.h>
#include <RTTimespec.h>

RTTimespec::RTTimespec( const RTInterval & interval )
    : tv_sec ( interval.seconds()        )
    , tv_nsec( interval.micros() * 1000L )
{
}
