/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMemoryUtil.h>
#include <RTTruncatingBuffer.h>

static const char trailer[] = "...";

RTTruncatingBuffer::RTTruncatingBuffer( char * _memory, int _size )
    : RTMemoryOutBuffer( _memory, _size - (int)sizeof( trailer ) )
{
    RTAssert( _size >= (int)sizeof( trailer ) );

    RTMemoryUtil::memcpy( &_memory[ _size - (int)sizeof( trailer ) ],
			  trailer,
			  (int)sizeof( trailer ) );
}
