/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTLogBuffer_h__
#define __RTLogBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTLog_h__
#include <RTLog.h>
#endif

#ifndef __RTStreamBuffer_h__
#include <RTStreamBuffer.h>
#endif

class RTLogBuffer : public RTStreamBuffer
{
public:
    explicit    RTLogBuffer( Log::Base * );
    virtual     ~RTLogBuffer( void );

    virtual int flush( void );

private:
    Log::Base * log;

private:
    // unavailable methods
    RTLogBuffer( const RTLogBuffer & );
    RTLogBuffer & operator=( const RTLogBuffer & );
}; //lint !e1712

#endif // __RTLogBuffer_h__
