/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTTimerActor_inl__
#define __RTTimerActor_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTTimerActor_h__
#include <RTTimerActor.h>
#endif

RTS_INLINE int RTTimerActor::anyPending( void ) const
{
     return pendingRelative.length() != 0
	 || pendingAbsolute.length() != 0;
}

RTS_INLINE RTTimerActor * RTTimerActor::soleInstance( void )
{
    return _soleInstance;
}

#endif // __RTTimerActor_inl__
