/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMain.h>

#include <stdio.h>
#include <fcntl.h>

int main( int argc, const char * const * argv )
{
    if( argc <= 0 )
    {
	// we are a boot actor
	// move the stdio over to the console
	int fd = open( "/dev/console", O_RDWR );

	dup2( fd, 0 );
	dup2( fd, 1 );
	dup2( fd, 2 );

	if( fd > 2 )
	    close( fd );
    }

    return RTMain::entryPoint( argc, argv );
}
