/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTSyncObject.h"
#endif

#include <RTDiag.h>
#include <RTSyncObject.h>

RTSyncObject::~RTSyncObject( void )
{
    if( sem_id != (SEM_ID)0 )
    {
	if( semDelete( sem_id ) )
	    RTDiag::panic( "semDelete(sync)" );

	sem_id = (SEM_ID)0;
    }
}
